package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * amb_invest_log
 * @author 
 */
public class AmbInvestLog implements Serializable {
    private Long id;

    private Long ambInvestId;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 状态 0=草稿，1=发起，2=同意，3=驳回
     */
    private Integer status;

    /**
     * 备注
     */
    private String comment;

    /**
     * 操作人
     */
    private String operator;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAmbInvestId() {
        return ambInvestId;
    }

    public void setAmbInvestId(Long ambInvestId) {
        this.ambInvestId = ambInvestId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}